From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-php/pecl-mcrypt/
Date: Wed, 10 Oct 2018 11:37:47 +0000 (UTC) [thread overview]
Message-ID: <1539171167.6555dec457ba20ebd7a5ab5f0e65bf8b14831976.mgorny@gentoo> (raw)
commit: 6555dec457ba20ebd7a5ab5f0e65bf8b14831976
Author: Tomas Mozes <hydrapolic <AT> gmail <DOT> com>
AuthorDate: Fri Sep 21 11:13:35 2018 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Oct 10 11:32:47 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6555dec4
dev-php/pecl-mcrypt: php bindings for the libmcrypt library
Closes: https://bugs.gentoo.org/664718
Signed-off-by: Tomáš Mózes <hydrapolic <AT> gmail.com>
Package-Manager: Portage-2.3.49, Repoman-2.3.10
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
Closes: https://github.com/gentoo/gentoo/pull/9932
dev-php/pecl-mcrypt/Manifest | 1 +
dev-php/pecl-mcrypt/metadata.xml | 12 ++++++++++++
dev-php/pecl-mcrypt/pecl-mcrypt-1.0.1.ebuild | 29 ++++++++++++++++++++++++++++
3 files changed, 42 insertions(+)
diff --git a/dev-php/pecl-mcrypt/Manifest b/dev-php/pecl-mcrypt/Manifest
new file mode 100644
index 00000000000..acfd97228a2
--- /dev/null
+++ b/dev-php/pecl-mcrypt/Manifest
@@ -0,0 +1 @@
+DIST mcrypt-1.0.1.tgz 33782 BLAKE2B db5f89fdbc64c81bd50c92301155527f40b28cd274312565c79327133baa20e14c488f8ad1f87e6ddfd3ced9706ca30f10dc69a08279c82c9ec83fb5f713e826 SHA512 1677202715499a41ac6999089257a059106e58cbac06ca8a7dd2e9edd28be5a4118234dd7468110e9e3d7f9de5d099367848fe84bcd06716ea56645c9015c578
diff --git a/dev-php/pecl-mcrypt/metadata.xml b/dev-php/pecl-mcrypt/metadata.xml
new file mode 100644
index 00000000000..1b662aaef98
--- /dev/null
+++ b/dev-php/pecl-mcrypt/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>hydrapolic@gmail.com</email>
+ <name>Tomáš Mózes</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>proxy-maint@gentoo.org</email>
+ <name>Proxy Maintainers</name>
+ </maintainer>
+</pkgmetadata>
diff --git a/dev-php/pecl-mcrypt/pecl-mcrypt-1.0.1.ebuild b/dev-php/pecl-mcrypt/pecl-mcrypt-1.0.1.ebuild
new file mode 100644
index 00000000000..133d25ed4e6
--- /dev/null
+++ b/dev-php/pecl-mcrypt/pecl-mcrypt-1.0.1.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PHP_EXT_NAME="mcrypt"
+USE_PHP="php7-2"
+MY_P="${PN/pecl-/}-${PV/_rc/RC}"
+PHP_EXT_PECL_FILENAME="${MY_P}.tgz"
+PHP_EXT_S="${WORKDIR}/${MY_P}"
+
+inherit php-ext-pecl-r3
+
+DESCRIPTION="Bindings for the libmcrypt library"
+LICENSE="PHP-3.01"
+SLOT="0"
+KEYWORDS="~amd64"
+
+DEPEND="dev-libs/libmcrypt"
+RDEPEND="${DEPEND}"
+
+S="${WORKDIR}/${MY_P}"
+
+src_prepare() {
+ # PHP Warning: Use of undefined constant MCRYPT_CBC - assumed 'MCRYPT_CBC'
+ sed -i '/MODE3/s/MCRYPT_CBC/"MCRYPT_CBC"/g' tests/bug8040.phpt || die
+
+ php-ext-source-r3_src_prepare
+}
next reply other threads:[~2018-10-10 11:37 UTC|newest]
Thread overview: 22+ messages / expand[flat|nested] mbox.gz Atom feed top
2018-10-10 11:37 Michał Górny [this message]
-- strict thread matches above, loose matches on Subject: below --
2019-01-19 3:22 [gentoo-commits] repo/gentoo:master commit in: dev-php/pecl-mcrypt/ Thomas Deutschmann
2019-01-22 8:46 Mikle Kolyada
2019-10-23 13:46 Joonas Niilola
2019-12-24 14:26 Mikle Kolyada
2019-12-26 9:49 Sergei Trofimovich
2020-01-26 20:25 Thomas Deutschmann
2020-05-05 22:13 Sergei Trofimovich
2020-05-06 9:12 Agostino Sarubbo
2020-05-10 8:47 Sergei Trofimovich
2020-05-13 23:05 Sergei Trofimovich
2020-12-13 0:16 Sam James
2021-01-21 16:30 Brian Evans
2021-08-27 14:00 Brian Evans
2021-08-27 14:16 Brian Evans
2021-09-23 13:58 Agostino Sarubbo
2021-12-21 1:56 Sam James
2022-07-23 12:50 Joonas Niilola
2022-07-23 12:50 Joonas Niilola
2022-12-02 7:01 Joonas Niilola
2023-12-28 2:00 Conrad Kostecki
2023-12-28 2:00 Conrad Kostecki
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1539171167.6555dec457ba20ebd7a5ab5f0e65bf8b14831976.mgorny@gentoo \
--to=mgorny@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox